org.apache.xerces.impl.dv

## Interface ValidationContext

- All Known Implementing Classes:
    ConfigurableValidationState, ValidationState

      public interface ValidationContext

  ValidationContext has all the information required for the validation of: id, idref, entity, notation, qname
  Version:
    $Id: ValidationContext.java 1171147 2011-09-15 15:44:30Z knoaman $
  Author:
    Sandy Gao, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addId(java.lang.String name)`
    `void` | `addIdRef(java.lang.String name)`
    `short` | `getDatatypeXMLVersion()`
    `java.util.Locale` | `getLocale()`
    `java.lang.String` | `getSymbol(java.lang.String symbol)`
    `TypeValidatorHelper` | `getTypeValidatorHelper()`
    `java.lang.String` | `getURI(java.lang.String prefix)`
    `boolean` | `isEntityDeclared(java.lang.String name)`
    `boolean` | `isEntityUnparsed(java.lang.String name)`
    `boolean` | `isIdDeclared(java.lang.String name)`
    `boolean` | `needExtraChecking()`
    `boolean` | `needFacetChecking()`
    `boolean` | `needToNormalize()`
    `boolean` | `useNamespaces()`

- - ### Method Detail

    - #### needFacetChecking

          boolean needFacetChecking()

    - #### needExtraChecking

          boolean needExtraChecking()

    - #### needToNormalize

          boolean needToNormalize()

    - #### useNamespaces

          boolean useNamespaces()

    - #### isEntityDeclared

          boolean isEntityDeclared(java.lang.String name)

    - #### isEntityUnparsed

          boolean isEntityUnparsed(java.lang.String name)

    - #### isIdDeclared

          boolean isIdDeclared(java.lang.String name)

    - #### addId

          void addId(java.lang.String name)

    - #### addIdRef

          void addIdRef(java.lang.String name)

    - #### getSymbol

          java.lang.String getSymbol(java.lang.String symbol)

    - #### getURI

          java.lang.String getURI(java.lang.String prefix)

    - #### getLocale

          java.util.Locale getLocale()

    - #### getTypeValidatorHelper

          TypeValidatorHelper getTypeValidatorHelper()

    - #### getDatatypeXMLVersion

          short getDatatypeXMLVersion()

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.